function exprs = plow_expriments(opt,subdir)

% plow_expriments set the parameters for expriments 
%
% For  theoretical and technical details, please refer to the following paper:
%
% Qilong Wang, Peihua Li, Wangmeng Zuo, and Lei Zhang. RAID-G: Robust Estimation of 
% Approximate Infinite Dimensional Gaussian with Application to Material Recognition. 
% IEEE Conference on Computer Vision and Pattern Recognition Pattern Recognition (CVPR), 2016.
% 
% Please cite the paper above if you use the code:
%
% For questions,  please conact:  Qilong Wang  (Email:  qlwang at mail dot dlut dot edu dot cn), 
%                                               Peihua  Li (Email: peihuali at dlut dot edu dot cn) 
%
% The software is provided ''as is'' and without warranty of any kind,
% experess, implied or otherwise, including without limitation, any
% warranty of merchantability or fitness for a particular purpose.


exprs = [];
if strcmp(opt,'18')==1
    exprs.image_dataset =  'UIUCmaterial';   
    exprs.base_feature_dir     =  ['feature\' subdir];
    exprs.raw_feature_dir    =  'VGG-CNN-MS';
    exprs.training_num_per_category = 6;
    exprs.base_image_dir = ['images\' exprs.image_dataset];
    exprs.kernel = 'linear';
    exprs.libsvm = 'oneVSall'; %'oneVSone'
    exprs.lc = 4;
elseif strcmp(opt,'10')==1
    exprs.image_dataset =  'fmd';   
    exprs.base_feature_dir     =  ['feature\' subdir];
    exprs.raw_feature_dir    =  'VGG-CNN-MS';
    exprs.training_num_per_category = 50;
    exprs.base_image_dir = ['images\' exprs.image_dataset];
    exprs.kernel = 'linear';  
    exprs.libsvm = 'oneVSall'; %'oneVSone' 'oneVSall'
    exprs.lc = 4; 
end