function feat_prms = plow_features(fmap)

% plow_features sets the parameters for feature extraction 
%
% For  theoretical and technical details, please refer to the following paper:
%
% Qilong Wang, Peihua Li, Wangmeng Zuo, and Lei Zhang. RAID-G: Robust Estimation of 
% Approximate Infinite Dimensional Gaussian with Application to Material Recognition. 
% IEEE Conference on Computer Vision and Pattern Recognition Pattern Recognition (CVPR), 2016.
% 
% Please cite the paper above if you use the code:
%
% For questions,  please conact:  Qilong Wang  (Email:  qlwang at mail dot dlut dot edu dot cn), 
%                                               Peihua  Li (Email: peihuali at dlut dot edu dot cn) 
%
% The software is provided ''as is'' and without warranty of any kind,
% experess, implied or otherwise, including without limitation, any
% warranty of merchantability or fitness for a particular purpose.

feat_prms.feature_type    =  'gaussian'; % mean; cov; gaussian 
feat_prms.scale    =  sqrt(2).^(-1:2); 
feat_prms.cnnmodel='imagenet-vgg-verydeep-16.mat'; 
feat_prms.constrant = 1e-3;
feat_prms.constrantGaussian = 1e-16;
feat_prms.constrantdet = 1e-12;
feat_prms.maxImageSize = 1000; 
feat_prms.minImageSize = 256; 
feat_prms.fmap = fmap;
feat_prms.GPUmode = false; %false true
feat_prms.alpha = 0.75;
feat_prms.scaleW = [0 1/3 1/3 1/3]; % [1/4 1/4 1/4 1/4];
feat_prms.embedding_beta = 0.3; 
feat_prms.norm = 'l2'; %'l1', 'l2' 'power'
feat_prms.renorm = true;  %false true

feat_prms.canSkip = 1; 