% ------------------------------------------------------------------------
function images = prepare_image_vgg(im)
% ------------------------------------------------------------------------
IMAGE_DIM = 256;
CROPPED_DIM = 224;

% resize to fixed input size
im = imresize(im, [IMAGE_DIM IMAGE_DIM], 'bilinear');

% oversample (4 corners, center, and their x-axis flips)
images = zeros(CROPPED_DIM, CROPPED_DIM, 3, 10, 'single');
indices = [0 IMAGE_DIM-CROPPED_DIM] + 1;
curr = 1;
for i = indices
  for j = indices
    images(:, :, :, curr) = im(i:i+CROPPED_DIM-1, j:j+CROPPED_DIM-1, :);
    images(:, :, :, curr+5) = images(end:-1:1, :, :, curr);
    curr = curr + 1;
  end
end
center = floor(indices(2) / 2)+1;
images(:,:,:,5) = im(center:center+CROPPED_DIM-1,center:center+CROPPED_DIM-1,:);
images(:,:,:,10) = images(end:-1:1, :, :, curr);

end